package ink.wgink.module.examine.controller.route.question;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: QuestionRouteController
 * @Description: 题目
 * @Author: WangGeng
 * @Date: 2021/4/2 21:46
 * @Version: 1.0
 **/
@Api(tags = ISystemConstant.API_TAGS_SYSTEM_PREFIX + "题目路由")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/question")
public class QuestionRouteController {

    @GetMapping("get")
    public ModelAndView get() {
        ModelAndView mv = new ModelAndView("question/get");
        return mv;
    }

    @GetMapping("list")
    public ModelAndView list() {
        ModelAndView mv = new ModelAndView("question/list");
        return mv;
    }

    @GetMapping("list-select")
    public ModelAndView listSelect() {
        ModelAndView mv = new ModelAndView("question/list-select");
        return mv;
    }

    @GetMapping("save")
    public ModelAndView save() {
        ModelAndView mv = new ModelAndView("question/save");
        return mv;
    }

    @GetMapping("update")
    public ModelAndView update() {
        ModelAndView mv = new ModelAndView("question/update");
        return mv;
    }

}
